intel_reg_dumper(__appmansuffix__)

NAME
intel_reg_dumper - Decode a bunch of Intel GPU registers for debugging

SYNOPSIS
intel_reg_dumper [ options ] [ file ]

DESCRIPTION
intel_reg_dumper is a tool to read and decode the values of many Intel GPU registers. It is commonly used in debugging video mode setting issues. If the file argument is present, the registers will be decoded from the given file instead of the current registers. Use the intel_reg_snapshot tool to generate such files. When the file argument is present and the -d argument is not present, intel_reg_dumper will assume the file was generated on an Ironlake machine.

OPTIONS

-d id
    when a dump file is used, use 'id' as device id (in hex)

-h  prints a help message

SEE ALSO
intel_reg_snapshot(1)